summaryrefslogtreecommitdiff
path: root/app
diff options
context:
space:
mode:
authorMatthieu Herrb <matthieu@cvs.openbsd.org>2007-09-16 17:21:55 +0000
committerMatthieu Herrb <matthieu@cvs.openbsd.org>2007-09-16 17:21:55 +0000
commitd716cb13b873fc974be3d386db579d2e3903d7c5 (patch)
treef938b69e0c1fb81d92035409517ef2106d9fefea /app
parentbbc3551c5c5a0a08e917094ece38265be348a791 (diff)
xsetroot 1.0.2
Diffstat (limited to 'app')
-rw-r--r--app/xsetroot/autogen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/app/xsetroot/autogen.sh b/app/xsetroot/autogen.sh
new file mode 100644
index 000000000..e81f98910
--- /dev/null
+++ b/app/xsetroot/autogen.sh
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
+